V1PartnerTenantsTenantidReviews
/v1/partner/tenants/{tenantId}/reviews
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
tenantId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidQuery Parameters
cursor?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/partner/tenants/497f6eca-6276-4993-bfeb-53cbbbba6f08/reviews"{ "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0", "rating": 1, "text": "string", "author": "Verified customer", "verifiedRedemption": true, "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36", "count": 0, "averageRating": 1}Merchant owner: download the redemption log as a CSV GET
Needs a recent sign-in and is audited. Columns: Time (Malaysia), Voucher, Branch, Scanned by, Scanned with. Times are Malaysia time. Cells that could run as spreadsheet formulas are neutralised. 422 redemption_export_too_large above 20000 rows: narrow the dates.
Merchant owner: your reward drafts and review status GET
Next Page